<?xml version="1.0" encoding="UTF-8" ?>
<AronTypeDefinition>
    <AronIncludes>
        <Include include="armarx/manipulation/core/aron/ExecutableAction.xml" />
    </AronIncludes>

    <GenerateTypes>

        <Object name='armarx::manipulation::core::arondto::ExecutedAction'>
            <ObjectChild key='startTime'>
                <Time />
            </ObjectChild>
            <ObjectChild key='endTime'>
                <Time />
            </ObjectChild>
            <ObjectChild key='success'>
                <bool />
            </ObjectChild>
            <ObjectChild key='action'>
                <armarx::manipulation::core::arondto::ExecutableAction />
            </ObjectChild>
            <ObjectChild key='outcome'>
                <!-- string describing the outcome of the execution attempt, e.g. "grasped", "missed", "slipped" -->
                <String optional="true" />
            </ObjectChild>
            <ObjectChild key='comment'>
                <!-- humand readable description -->
                <String optional="true" />
            </ObjectChild>
            <ObjectChild key='debugOutput'>
                <!-- not necessarily human readable -->
                <String optional="true" />
            </ObjectChild>
        </Object>
    </GenerateTypes>
</AronTypeDefinition>
